Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

List Log Streams

GET
/observability/v1/workspaces/{workspace}/engines/{engine}/logs/streams
curl --request GET \
--url https://example.com/observability/v1/workspaces/example/engines/example/logs/streams

Lists the distinct log streams (label dimensions) visible to the workspace.

workspace
required
string

The workspace whose telemetry is inspected.

engine
required
string

The provider: qibdo, aws, gcp, or azure, or ’-’ to default to qibdo.

page_size
integer format: int32

Maximum items per page. The service may return fewer than this value. If unspecified, at most 20 items will be returned. The maximum value is 100; values above 100 will be coerced to 100.

page_token
string

A page token from a previous call.

filter
string

AIP-160 filter expression.

order_by
string

AIP-132 order_by expression.

OK

Media type application/json

ListLogStreamsResponse

Response for ListLogStreams.

object
streams

The distinct log streams (label dimensions).

Array<string>
engine

The provider that served the listing.

string format: enum Output only
Allowed values: ENGINE_UNSPECIFIED ENGINE_QIBDO ENGINE_AWS ENGINE_GCP ENGINE_AZURE
Example
{
"engine": "ENGINE_UNSPECIFIED"
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}